Index: kernel/generic/src/cap/cap.c
===================================================================
--- kernel/generic/src/cap/cap.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ kernel/generic/src/cap/cap.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -259,5 +259,5 @@
  * @param[out] handle  New capability handle on success.
  *
- * @return Negative error code in case of error.
+ * @return An error code in case of error.
  */
 int cap_alloc(task_t *task, cap_handle_t *handle)
Index: kernel/generic/src/debug/symtab.c
===================================================================
--- kernel/generic/src/debug/symtab.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ kernel/generic/src/debug/symtab.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -50,5 +50,5 @@
  * @param offset Place to store offset from the symbol address.
  *
- * @return Zero on success or negative error code, ENOENT if not found,
+ * @return Zero on success or an error code, ENOENT if not found,
  *         ENOTSUP if symbol table not available.
  *
Index: kernel/generic/src/ipc/ipc.c
===================================================================
--- kernel/generic/src/ipc/ipc.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ kernel/generic/src/ipc/ipc.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -205,5 +205,5 @@
  * @param request Call structure with request.
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
Index: kernel/generic/src/ipc/ipcrsc.c
===================================================================
--- kernel/generic/src/ipc/ipcrsc.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ kernel/generic/src/ipc/ipcrsc.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -168,5 +168,5 @@
  * @param[out] out_handle  New phone capability handle.
  *
- * @return  Negative error code if a new capability cannot be allocated.
+ * @return  An error code if a new capability cannot be allocated.
  */
 int phone_alloc(task_t *task, cap_handle_t *out_handle)
Index: kernel/generic/src/ipc/irq.c
===================================================================
--- kernel/generic/src/ipc/irq.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ kernel/generic/src/ipc/irq.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -387,5 +387,5 @@
  * @param handle  IRQ capability handle.
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
Index: kernel/generic/src/ipc/sysipc.c
===================================================================
--- kernel/generic/src/ipc/sysipc.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ kernel/generic/src/ipc/sysipc.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -155,5 +155,5 @@
  * @param olddata Saved data of the request.
  *
- * @return Return EOK on success or a negative error code.
+ * @return Return EOK on success or an error code.
  *
  */
@@ -359,5 +359,5 @@
  *
  * @return EOK on success.
- * @return Negative error code on error.
+ * @return An error code on error.
  *
  */
@@ -740,5 +740,5 @@
  *                 for explanation.
  *
- * @return Negative error code on error.
+ * @return An error code on error.
  */
 sysarg_t sys_ipc_wait_for_call(ipc_data_t *calldata, uint32_t usec,
Index: kernel/generic/src/proc/program.c
===================================================================
--- kernel/generic/src/proc/program.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ kernel/generic/src/proc/program.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -66,5 +66,5 @@
  * @param prg        Buffer for storing program information.
  *
- * @return EOK on success or negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -134,5 +134,5 @@
  *                        will be returned.
  *
- * @return EOK on success or negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -171,5 +171,5 @@
  * @param name Name to set for the program's task.
  *
- * @return EOK on success or negative error code.
+ * @return EOK on success or an error code.
  *
  */
Index: kernel/generic/src/syscall/copy.c
===================================================================
--- kernel/generic/src/syscall/copy.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ kernel/generic/src/syscall/copy.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -57,5 +57,5 @@
  * @param size Size of the data to be copied.
  *
- * @return EOK on success or error code from @ref errno.h.
+ * @return EOK on success or an error code from @ref errno.h.
  */
 int copy_from_uspace(void *dst, const void *uspace_src, size_t size)
@@ -108,5 +108,5 @@
  * @param size Size of the data to be copied.
  *
- * @return 0 on success or error code from @ref errno.h.
+ * @return 0 on success or an error code from @ref errno.h.
  */
 int copy_to_uspace(void *uspace_dst, const void *src, size_t size)
Index: kernel/generic/src/udebug/udebug.c
===================================================================
--- kernel/generic/src/udebug/udebug.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ kernel/generic/src/udebug/udebug.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -394,5 +394,5 @@
  * @param task Task structure. task->udebug.lock must be already locked.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
Index: kernel/generic/src/udebug/udebug_ops.c
===================================================================
--- kernel/generic/src/udebug/udebug_ops.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ kernel/generic/src/udebug/udebug_ops.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -216,5 +216,5 @@
  * Closes the debugging session for the current task.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -236,5 +236,5 @@
  * @param mask Or combination of events that should be enabled.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
Index: uspace/app/bdsh/cmds/modules/mkfile/mkfile.c
===================================================================
--- uspace/app/bdsh/cmds/modules/mkfile/mkfile.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/app/bdsh/cmds/modules/mkfile/mkfile.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -87,5 +87,5 @@
  * @param str	String containing the size specification.
  * @param rsize	Place to store size in bytes
- * @return	EOK on success or error code
+ * @return	EOK on success or an error code
  */
 static int read_size(const char *str, size_t *rsize)
Index: uspace/app/edit/sheet.c
===================================================================
--- uspace/app/edit/sheet.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/app/edit/sheet.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -95,5 +95,5 @@
  * @param str	The text to insert (printable characters, tabs, newlines).
  *
- * @return	EOK on success or negative error code.
+ * @return	EOK on success or an error code.
  *
  * @note	@a dir affects which way tags that were placed on @a pos will
@@ -145,5 +145,5 @@
  * @param epos	Ending point.
  *
- * @return	EOK on success or negative error code.
+ * @return	EOK on success or an error code.
  **/
 int sheet_delete(sheet_t *sh, spt_t *spos, spt_t *epos)
Index: uspace/app/mkexfat/mkexfat.c
===================================================================
--- uspace/app/mkexfat/mkexfat.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/app/mkexfat/mkexfat.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -344,5 +344,5 @@
  * @param cfg  Pointer to the exFAT configuration structure.
  * @param base Base sector of the EBS.
- * @return  EOK on success or a negative error code.
+ * @return  EOK on success or an error code.
  */
 static int
@@ -397,5 +397,5 @@
  * @param service_id  The service id.
  * @param cfg Pointer to the exfat_cfg structure.
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  */
 static int
@@ -437,5 +437,5 @@
  * @param cur_cls  Cluster index from where to start the allocation.
  * @param ncls  Number of clusters to allocate.
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  */
 static int
@@ -494,5 +494,5 @@
  * @param service_id   The service id.
  * @param cfg  Pointer to the exfat configuration structure.
- * @return  EOK on success or a negative error code.
+ * @return  EOK on success or an error code.
  */
 static int
@@ -593,5 +593,5 @@
  * @param service_id   The service id.
  * @param cfg   Pointer to the exFAT configuration structure.
- * @return   EOK on success or a negative error code.
+ * @return   EOK on success or an error code.
  */
 static int
Index: uspace/app/mkmfs/mkmfs.c
===================================================================
--- uspace/app/mkmfs/mkmfs.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/app/mkmfs/mkmfs.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -290,5 +290,5 @@
  * @param sb		Pointer to the superblock structure.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 static int insert_dentries(const struct mfs_sb_info *sb)
@@ -343,5 +343,5 @@
  * @param sb		Pointer to the superblock structure.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 static int init_inode_table(const struct mfs_sb_info *sb)
@@ -376,5 +376,5 @@
  * @param sb		Ponter to the superblock structure.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 static int make_root_ino(const struct mfs_sb_info *sb)
@@ -413,5 +413,5 @@
  * @param sb		Pointer to the superblock structure.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 static int make_root_ino2(const struct mfs_sb_info *sb)
@@ -452,5 +452,5 @@
  * @param sb		Pointer to the superblock structure.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 static int init_superblock(struct mfs_sb_info *sb)
@@ -559,5 +559,5 @@
  * @param sbi		Pointer to the superblock structure to write on disk.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 static int write_superblock(const struct mfs_sb_info *sbi)
@@ -592,5 +592,5 @@
  * @param sbi		Pointer to the superblock structure to write on disk.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 static int write_superblock3(const struct mfs_sb_info *sbi)
@@ -625,5 +625,5 @@
  * @param sb		Pointer to the superblock structure.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 static int init_bitmaps(const struct mfs_sb_info *sb)
@@ -699,5 +699,5 @@
  * @param data		Pointer to the block content.
  *
- * @return		EOK on success or a negative error number.
+ * @return		EOK on success or a error number.
  */
 static inline int write_block(aoff64_t off, size_t size, const void *data)
Index: uspace/app/sysinst/sysinst.c
===================================================================
--- uspace/app/sysinst/sysinst.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/app/sysinst/sysinst.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -83,5 +83,5 @@
  * @param pdev Place to store partition device name
  *
- * @return EOK on success or error code
+ * @return EOK on success or an error code
  */
 static int sysinst_label_dev(const char *dev, char **pdev)
@@ -152,5 +152,5 @@
  *
  * @param dev Partition device
- * @return EOK on success or error code
+ * @return EOK on success or an error code
  */
 static int sysinst_fs_mount(const char *dev)
@@ -191,5 +191,5 @@
 /** Copy boot files.
  *
- * @return EOK on success or error code
+ * @return EOK on success or an error code
  */
 static int sysinst_copy_boot_files(void)
@@ -258,5 +258,5 @@
  *
  * @param devp Disk device
- * @return EOK on success or error code
+ * @return EOK on success or an error code
  */
 static int sysinst_copy_boot_blocks(const char *devp)
@@ -353,5 +353,5 @@
  *
  * @param dev Device to install to.
- * @return EOK on success or error code
+ * @return EOK on success or an error code
  */
 static int sysinst_install(const char *dev)
Index: uspace/app/taskdump/symtab.c
===================================================================
--- uspace/app/taskdump/symtab.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/app/taskdump/symtab.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -285,5 +285,5 @@
 /** Check if ELF header is valid.
  *
- * @return	EOK on success or negative error code.
+ * @return	EOK on success or an error code.
  */
 static int elf_hdr_check(elf_header_t *ehdr)
Index: uspace/dist/src/c/demos/edit/sheet.c
===================================================================
--- uspace/dist/src/c/demos/edit/sheet.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/dist/src/c/demos/edit/sheet.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -95,5 +95,5 @@
  * @param str	The text to insert (printable characters, tabs, newlines).
  *
- * @return	EOK on success or negative error code.
+ * @return	EOK on success or an error code.
  *
  * @note	@a dir affects which way tags that were placed on @a pos will
@@ -145,5 +145,5 @@
  * @param epos	Ending point.
  *
- * @return	EOK on success or negative error code.
+ * @return	EOK on success or an error code.
  **/
 int sheet_delete(sheet_t *sh, spt_t *spos, spt_t *epos)
Index: uspace/drv/block/ata_bd/main.c
===================================================================
--- uspace/drv/block/ata_bd/main.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/block/ata_bd/main.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -106,5 +106,5 @@
  *
  * @param  dev New device
- * @return     EOK on success or negative error code.
+ * @return     EOK on success or an error code.
  */
 static int ata_dev_add(ddf_dev_t *dev)
Index: uspace/drv/block/ddisk/ddisk.c
===================================================================
--- uspace/drv/block/ddisk/ddisk.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/block/ddisk/ddisk.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -408,5 +408,5 @@
  *
  * @param  dev New device
- * @return     EOK on success or negative error code.
+ * @return     EOK on success or an error code.
  */
 static int ddisk_dev_add(ddf_dev_t *dev)
Index: uspace/drv/block/usbmast/main.c
===================================================================
--- uspace/drv/block/usbmast/main.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/block/usbmast/main.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -216,5 +216,5 @@
  * @param mdev		Mass storage device
  * @param lun		LUN
- * @return		EOK on success or negative error code.
+ * @return		EOK on success or an error code.
  */
 static int usbmast_fun_create(usbmast_dev_t *mdev, unsigned lun)
Index: uspace/drv/char/ns8250/ns8250.c
===================================================================
--- uspace/drv/char/ns8250/ns8250.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/char/ns8250/ns8250.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -405,5 +405,5 @@
  *
  * @param ns		Serial port device
- * @return		Zero on success, negative error number otherwise
+ * @return		Zero on success, error number otherwise
  */
 static int ns8250_dev_initialize(ns8250_t *ns)
@@ -499,5 +499,5 @@
  *
  * @param ns		Serial port device
- * @return		Zero on success, negative error number otherwise
+ * @return		Zero on success, error number otherwise
  */
 static int ns8250_interrupt_enable(ns8250_t *ns)
@@ -544,5 +544,5 @@
  * @param port		The base address of the serial port device's ports.
  * @param baud_rate	The baud rate to be used by the device.
- * @return		Zero on success, negative error number otherwise (EINVAL
+ * @return		Zero on success, error number otherwise (EINVAL
  *			if the specified baud_rate is not valid).
  */
Index: uspace/drv/nic/ar9271/ar9271.c
===================================================================
--- uspace/drv/nic/ar9271/ar9271.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/nic/ar9271/ar9271.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -734,5 +734,5 @@
  * @param ar9271 AR9271 device structure
  *
- * @return EOK if succeed, negative error code otherwise
+ * @return EOK if succeed, error code otherwise
  *
  */
@@ -877,5 +877,5 @@
  * @param dev The device structure.
  *
- * @return EOK if succeed, negative error code otherwise
+ * @return EOK if succeed, error code otherwise
  */
 static int ar9271_add_device(ddf_dev_t *dev)
Index: uspace/drv/nic/ar9271/ath_usb.c
===================================================================
--- uspace/drv/nic/ar9271/ath_usb.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/nic/ar9271/ath_usb.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -56,5 +56,5 @@
  * @param usb_device  Connected USB device.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -91,5 +91,5 @@
  * @param buffer_size Buffer size.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -111,5 +111,5 @@
  * @param transferred_size Real size of read data.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -130,5 +130,5 @@
  * @param buffer_size Buffer size.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -166,5 +166,5 @@
  * @param transferred_size Real size of read data.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
Index: uspace/drv/nic/ar9271/htc.c
===================================================================
--- uspace/drv/nic/ar9271/htc.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/nic/ar9271/htc.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -150,5 +150,5 @@
  * @param endpoint_id Destination endpoint.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -173,5 +173,5 @@
  * @param endpoint_id Destination endpoint.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -196,5 +196,5 @@
  * @param transferred_size Real size of read data.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -216,5 +216,5 @@
  * @param transferred_size Real size of read data.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -236,5 +236,5 @@
  *
  * @return EOK if succeed, EINVAL when failed to connect service,
- *         negative error code otherwise.
+ *         error code otherwise.
  *
  */
@@ -309,5 +309,5 @@
  * @param htc_device HTC device structure.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -357,5 +357,5 @@
  * @param htc_device HTC device structure.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -391,5 +391,5 @@
  *
  * @return EOK if succeed, EINVAL if response error,
- *         negative error code otherwise.
+ *         error code otherwise.
  *
  */
@@ -427,5 +427,5 @@
  * @param htc_device HTC device structure to be initialized.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -448,5 +448,5 @@
  * @param htc_device HTC device structure.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
Index: uspace/drv/nic/ar9271/hw.c
===================================================================
--- uspace/drv/nic/ar9271/hw.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/nic/ar9271/hw.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -49,5 +49,5 @@
  *
  * @return EOK if succeed, ETIMEOUT on timeout,
- *         negative error code otherwise.
+ *         error code otherwise.
  *
  */
@@ -215,5 +215,5 @@
  * @param ar9271 Device structure.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -636,5 +636,5 @@
  * @param ar9271 Device structure.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  */
 int hw_init(ar9271_t *ar9271)
Index: uspace/drv/nic/ar9271/wmi.c
===================================================================
--- uspace/drv/nic/ar9271/wmi.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/nic/ar9271/wmi.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -47,5 +47,5 @@
  * @param res        Stored result.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -79,5 +79,5 @@
  * @param val        Value to be written
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -112,5 +112,5 @@
  * @param clear_bit  Bit to be cleared.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -146,5 +146,5 @@
  * @param set_bit    Bit to be set.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -161,5 +161,5 @@
  * @param clear_bit  Bit to be cleared.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -176,5 +176,5 @@
  * @param elements   Number of elements in array.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -220,5 +220,5 @@
  * @param response_buffer Buffer with response data.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
Index: uspace/drv/nic/e1k/e1k.c
===================================================================
--- uspace/drv/nic/e1k/e1k.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/nic/e1k/e1k.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -1261,5 +1261,5 @@
  * @param[out] handle  IRQ capability handle if the handler was registered
  *
- * @return Negative error code otherwise
+ * @return An error code otherwise
  *
  */
@@ -1370,5 +1370,5 @@
  *
  * @return EOK if succeed
- * @return Negative error code otherwise
+ * @return An error code otherwise
  *
  */
@@ -1524,5 +1524,5 @@
  *
  * @return EOK if succeed
- * @return Negative error code otherwise
+ * @return An error code otherwise
  *
  */
@@ -1940,5 +1940,5 @@
  *
  * @return EOK if succeed
- * @return Negative error code otherwise
+ * @return An error code otherwise
  *
  */
@@ -1965,5 +1965,5 @@
  *
  * @return EOK if succeed
- * @return Negative error code otherwise
+ * @return An error code otherwise
  *
  */
@@ -1993,5 +1993,5 @@
  *
  * @return EOK if succeed
- * @return Negative error code otherwise
+ * @return An error code otherwise
  *
  */
@@ -2107,5 +2107,5 @@
  *
  * @return EOK if successed
- * @return Negative error code otherwise
+ * @return An error code otherwise
  *
  */
@@ -2255,5 +2255,5 @@
  *
  * @return EOK if succeed
- * @return Negative error code otherwise
+ * @return An error code otherwise
  *
  */
@@ -2289,5 +2289,5 @@
  *
  * @return EOK if succeed
- * @return Negative error code otherwise
+ * @return An error code otherwise
  */
 static int e1000_set_addr(ddf_fun_t *fun, const nic_address_t *addr)
Index: uspace/drv/nic/rtl8139/driver.c
===================================================================
--- uspace/drv/nic/rtl8139/driver.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/nic/rtl8139/driver.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -217,5 +217,5 @@
  *  @param address  The place to store the address
  *
- *  @return EOK if succeed, negative error code otherwise
+ *  @return EOK if succeed, error code otherwise
  */
 inline static void rtl8139_hw_get_addr(rtl8139_t *rtl8139,
@@ -844,5 +844,5 @@
  *  @param[out] handle  IRQ capability handle if the handler was registered.
  *
- *  @return Negative error code otherwise.
+ *  @return An error code otherwise.
  */
 inline static int rtl8139_register_int_handler(nic_t *nic_data, cap_handle_t *handle)
@@ -1025,5 +1025,5 @@
  *  @param hw_resources  Devices hardware resources
  *
- *  @return EOK if succeed, negative error code otherwise
+ *  @return EOK if succeed, error code otherwise
  */
 static int rtl8139_fill_resource_info(ddf_dev_t *dev, const hw_res_list_parsed_t
@@ -1065,5 +1065,5 @@
  *  @param dev  The device structure
  *
- *  @return EOK if succeed, negative error code otherwise
+ *  @return EOK if succeed, error code otherwise
  */
 static int rtl8139_get_resource_info(ddf_dev_t *dev)
@@ -1147,5 +1147,5 @@
  *  @param dev  The device information
  *
- *  @return EOK if succeed, negative error code otherwise
+ *  @return EOK if succeed, error code otherwise
  */
 static int rtl8139_device_initialize(ddf_dev_t *dev)
@@ -1206,5 +1206,5 @@
  * @param dev  The RTL8139 device.
  *
- * @return EOK if successed, negative error code otherwise
+ * @return EOK if successed, error code otherwise
  */
 static int rtl8139_pio_enable(ddf_dev_t *dev)
@@ -1256,5 +1256,5 @@
  * @param dev  The RTL8139 device.
  *
- * @return EOK if added successfully, negative error code otherwise
+ * @return EOK if added successfully, error code otherwise
  */
 int rtl8139_dev_add(ddf_dev_t *dev)
@@ -1339,5 +1339,5 @@
  *  @param max_len  Maximal addresss length to store
  *
- *  @return EOK if succeed, negative error code otherwise
+ *  @return EOK if succeed, error code otherwise
  */
 static int rtl8139_set_addr(ddf_fun_t *fun, const nic_address_t *addr)
Index: uspace/drv/nic/rtl8139/general.c
===================================================================
--- uspace/drv/nic/rtl8139/general.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/nic/rtl8139/general.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -81,5 +81,5 @@
  *  @param time        The requested time
  *
- *  @return EOK if succeed, negative error code otherwise
+ *  @return EOK if succeed, error code otherwise
  */
 int rtl8139_timer_act_init(rtl8139_timer_act_t * ta, uint32_t timer_freq,
Index: uspace/drv/platform/amdm37x/main.c
===================================================================
--- uspace/drv/platform/amdm37x/main.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/platform/amdm37x/main.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -209,5 +209,5 @@
  *            (both of HW and pseudo devices).
  *
- * @return Zero on success, negative error number otherwise.
+ * @return Zero on success, error number otherwise.
  *
  */
Index: uspace/drv/platform/mac/mac.c
===================================================================
--- uspace/drv/platform/mac/mac.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/platform/mac/mac.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -173,5 +173,5 @@
  *            (both of HW and pseudo devices).
  *
- * @return Zero on success, negative error number otherwise.
+ * @return Zero on success, error number otherwise.
  *
  */
Index: uspace/drv/platform/malta/malta.c
===================================================================
--- uspace/drv/platform/malta/malta.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/platform/malta/malta.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -221,5 +221,5 @@
  * @param dev		The device which is root of the whole device tree (both
  *			of HW and pseudo devices).
- * @return		Zero on success, negative error number otherwise.
+ * @return		Zero on success, error number otherwise.
  */
 static int malta_dev_add(ddf_dev_t *dev)
Index: uspace/drv/platform/pc/pc.c
===================================================================
--- uspace/drv/platform/pc/pc.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/platform/pc/pc.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -203,5 +203,5 @@
  * @param dev		The device which is root of the whole device tree (both
  *			of HW and pseudo devices).
- * @return		Zero on success, negative error number otherwise.
+ * @return		Zero on success, error number otherwise.
  */
 static int pc_dev_add(ddf_dev_t *dev)
Index: uspace/drv/platform/sun4u/sun4u.c
===================================================================
--- uspace/drv/platform/sun4u/sun4u.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/platform/sun4u/sun4u.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -240,5 +240,5 @@
  * @param dev		The device which is root of the whole device tree (both
  *			of HW and pseudo devices).
- * @return		Zero on success, negative error number otherwise.
+ * @return		Zero on success, error number otherwise.
  */
 static int sun4u_dev_add(ddf_dev_t *dev)
Index: uspace/drv/root/root/root.c
===================================================================
--- uspace/drv/root/root/root.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/root/root/root.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -84,5 +84,5 @@
  *
  * @param dev	Device
- * @return	EOK on success or negative error code
+ * @return	EOK on success or an error code
  */
 static int add_virtual_root_fun(ddf_dev_t *dev)
@@ -125,5 +125,5 @@
  *
  * @param dev	Device
- * @return	EOK on success or negative error code
+ * @return	EOK on success or an error code
  */
 static int add_platform_fun(ddf_dev_t *dev)
Index: uspace/drv/root/virt/virt.c
===================================================================
--- uspace/drv/root/virt/virt.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/root/virt/virt.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -98,5 +98,5 @@
  * @param vdev		The virtual device
  * @param vfun		Virtual function description
- * @return		EOK on success or negative error code.
+ * @return		EOK on success or an error code.
  */
 static int virt_add_fun(virt_t *virt, virtual_function_t *vfun)
Index: uspace/drv/time/cmos-rtc/cmos-rtc.c
===================================================================
--- uspace/drv/time/cmos-rtc/cmos-rtc.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/drv/time/cmos-rtc/cmos-rtc.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -190,5 +190,5 @@
  * @param rtc  Pointer to the RTC device
  *
- * @return  EOK on success or a negative error code
+ * @return  EOK on success or an error code
  */ 
 static int
@@ -314,5 +314,5 @@
  * @param t    Pointer to the time variable
  *
- * @return  EOK on success or a negative error code
+ * @return  EOK on success or an error code
  */
 static int
@@ -436,5 +436,5 @@
  * @param t    The time value to set
  *
- * @return  EOK or a negative error code
+ * @return  EOK or an error code
  */
 static int
@@ -544,5 +544,5 @@
  * @param status The status of the battery
  *
- * @return       EOK on success or a negative error code
+ * @return       EOK on success or an error code
  */
 static int
@@ -577,5 +577,5 @@
  * @param dev  The RTC device
  *
- * @return  EOK on success or a negative error code
+ * @return  EOK on success or an error code
  */
 static int
@@ -643,5 +643,5 @@
  * @param dev   The RTC device
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 static int
@@ -682,5 +682,5 @@
  * @param fun   The function node
  *
- * @return  EOK on success or a negative error code
+ * @return  EOK on success or an error code
  */
 static int
Index: uspace/lib/block/block.c
===================================================================
--- uspace/lib/block/block.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/block/block.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -381,5 +381,5 @@
  *				device.
  *
- * @return			EOK on success or a negative error code.
+ * @return			EOK on success or an error code.
  */
 int block_get(block_t **block, service_id_t service_id, aoff64_t ba, int flags)
@@ -578,5 +578,5 @@
  * @param block		Block of which a reference is to be released.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int block_put(block_t *block)
@@ -699,5 +699,5 @@
  * @param block_size	Block size to be used for the transfer.
  *
- * @return		EOK on success or a negative return code on failure.
+ * @return		EOK on success or an error code on failure.
  */
 int block_seqread(service_id_t service_id, void *buf, size_t *bufpos,
@@ -758,5 +758,5 @@
  * @param src		Buffer for storing the data.
  *
- * @return		EOK on success or negative error code on failure.
+ * @return		EOK on success or an error code on failure.
  */
 int block_read_direct(service_id_t service_id, aoff64_t ba, size_t cnt, void *buf)
@@ -777,5 +777,5 @@
  * @param src		The data to be written.
  *
- * @return		EOK on success or negative error code on failure.
+ * @return		EOK on success or an error code on failure.
  */
 int block_write_direct(service_id_t service_id, aoff64_t ba, size_t cnt,
@@ -796,5 +796,5 @@
  * @param cnt		Number of blocks.
  *
- * @return		EOK on success or negative error code on failure.
+ * @return		EOK on success or an error code on failure.
  */
 int block_sync_cache(service_id_t service_id, aoff64_t ba, size_t cnt)
@@ -813,5 +813,5 @@
  * @param bsize		Output block size.
  *
- * @return		EOK on success or negative error code on failure.
+ * @return		EOK on success or an error code on failure.
  */
 int block_get_bsize(service_id_t service_id, size_t *bsize)
@@ -830,5 +830,5 @@
  * @param nblocks	Output number of blocks.
  *
- * @return		EOK on success or negative error code on failure.
+ * @return		EOK on success or an error code on failure.
  */
 int block_get_nblocks(service_id_t service_id, aoff64_t *nblocks)
@@ -847,5 +847,5 @@
  * @param data			Buffer that receives the data
  * 
- * @return		EOK on success or negative error code on failure.
+ * @return		EOK on success or an error code on failure.
  */
 int block_read_bytes_direct(service_id_t service_id, aoff64_t abs_offset,
@@ -898,5 +898,5 @@
  *
  * @return Allocated TOC structure.
- * @return EOK on success or negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -917,5 +917,5 @@
  * @param src		Buffer for storing the data.
  *
- * @return		EOK on success or negative error code on failure.
+ * @return		EOK on success or an error code on failure.
  */
 static int read_blocks(devcon_t *devcon, aoff64_t ba, size_t cnt, void *buf,
@@ -944,5 +944,5 @@
  * @param src		Buffer containing the data to write.
  *
- * @return		EOK on success or negative error code on failure.
+ * @return		EOK on success or an error code on failure.
  */
 static int write_blocks(devcon_t *devcon, aoff64_t ba, size_t cnt, void *data,
Index: uspace/lib/c/generic/async.c
===================================================================
--- uspace/lib/c/generic/async.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/async.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -844,5 +844,5 @@
  * @param port_id ID of the newly created port.
  *
- * @return Zero on success or a negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -1053,5 +1053,5 @@
  * @param[out] handle  IRQ capability handle on success.
  *
- * @return Negative error code.
+ * @return An error code.
  *
  */
@@ -1089,5 +1089,5 @@
  * @param cap     IRQ capability handle. 
  *
- * @return Zero on success or a negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -1106,5 +1106,5 @@
  * @param data    Notification handler client data.
  *
- * @return Zero on success or a negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -1139,5 +1139,5 @@
  * @param data    Notification handler client data.
  *
- * @return Zero on success or a negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -1915,5 +1915,5 @@
  * @param r5      If non-NULL, storage for the 5th reply argument.
  *
- * @return Return code of the reply or a negative error code.
+ * @return Return code of the reply or an error code.
  *
  */
@@ -1967,5 +1967,5 @@
  * @param r5      If non-NULL, storage for the 5th reply argument.
  *
- * @return Return code of the reply or a negative error code.
+ * @return Return code of the reply or an error code.
  *
  */
@@ -2108,5 +2108,5 @@
  * @param arg3            User defined argument.
  *
- * @return Zero on success or a negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -2433,5 +2433,5 @@
  * @param sess Session to hung up.
  *
- * @return Zero on success or a negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -2613,5 +2613,5 @@
  *              base address. Cannot be NULL.
  *
- * @return Zero on success or a negative error code from errno.h.
+ * @return Zero on success or an error code from errno.h.
  *
  */
@@ -2688,5 +2688,5 @@
  * @param flags Flags to be used for sharing. Bits can be only cleared.
  *
- * @return Zero on success or a negative error code from errno.h.
+ * @return Zero on success or an error code from errno.h.
  *
  */
@@ -2774,5 +2774,5 @@
  * @param size Size of the destination buffer.
  *
- * @return Zero on success or a negative error code from errno.h.
+ * @return Zero on success or an error code from errno.h.
  *
  */
@@ -2899,5 +2899,5 @@
  * @param size Size of the source buffer.
  *
- * @return Zero on success or a negative error code from errno.h.
+ * @return Zero on success or an error code from errno.h.
  *
  */
Index: uspace/lib/c/generic/clipboard.c
===================================================================
--- uspace/lib/c/generic/clipboard.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/clipboard.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -95,5 +95,5 @@
  * @param str String to put to clipboard or NULL.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -137,5 +137,5 @@
  * @param str Here pointer to the newly allocated string is stored.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
Index: uspace/lib/c/generic/ddi.c
===================================================================
--- uspace/lib/c/generic/ddi.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/ddi.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -226,5 +226,5 @@
  *
  * @return EOK on success.
- * @return Negative error code on failure.
+ * @return An error code on failure.
  *
  */
@@ -268,5 +268,5 @@
  *
  * @return EOK on success.
- * @return Negative error code on failure.
+ * @return An error code on failure.
  *
  */
@@ -306,5 +306,5 @@
  *
  * @return EOK on success.
- * @return Negative error code on failure.
+ * @return An error code on failure.
  *
  */
Index: uspace/lib/c/generic/device/clock_dev.c
===================================================================
--- uspace/lib/c/generic/device/clock_dev.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/device/clock_dev.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -44,5 +44,5 @@
  * @param t        The current time that will be read from the device
  *
- * @return         EOK on success or a negative error code
+ * @return         EOK on success or an error code
  */
 int
@@ -75,5 +75,5 @@
  * @param t      The current time that will be written to the device
  *
- * @return       EOK on success or a negative error code
+ * @return       EOK on success or an error code
  */
 int
Index: uspace/lib/c/generic/devman.c
===================================================================
--- uspace/lib/c/generic/devman.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/devman.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -210,5 +210,5 @@
  * @param funh      Place to store handle of the new function
  *
- * @return EOK on success or negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -305,5 +305,5 @@
  * @param funh      Devman handle of the function
  *
- * @return EOK on success or negative error code.
+ * @return EOK on success or an error code.
  */
 int devman_remove_function(devman_handle_t funh)
@@ -529,5 +529,5 @@
  * @param data		Place to store pointer to array of handles
  * @param count		Place to store number of handles
- * @return 		EOK on success or negative error code
+ * @return 		EOK on success or an error code
  */
 static int devman_get_handles_internal(sysarg_t method, sysarg_t arg1,
Index: uspace/lib/c/generic/inet/tcp.c
===================================================================
--- uspace/lib/c/generic/inet/tcp.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/inet/tcp.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -59,5 +59,5 @@
  *
  * @param tcp TCP service
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 static int tcp_callback_create(tcp_t *tcp)
@@ -205,5 +205,5 @@
  * @param rconn Place to store pointer to new connection
  *
- * @return EOK on success or negative error code.
+ * @return EOK on success or an error code.
  */
 int tcp_conn_create(tcp_t *tcp, inet_ep2_t *epp, tcp_cb_t *cb, void *arg,
@@ -316,5 +316,5 @@
  * @param rlst Place to store pointer to new listener
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 int tcp_listener_create(tcp_t *tcp, inet_ep_t *ep, tcp_listen_cb_t *lcb,
@@ -446,5 +446,5 @@
  * @param bytes Data size in bytes
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 int tcp_conn_send(tcp_conn_t *conn, const void *data, size_t bytes)
@@ -478,5 +478,5 @@
  *
  * @param conn Connection
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 int tcp_conn_send_fin(tcp_conn_t *conn)
@@ -494,5 +494,5 @@
  *
  * @param conn Connection
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 int tcp_conn_push(tcp_conn_t *conn)
@@ -510,5 +510,5 @@
  *
  * @param conn Connection
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 int tcp_conn_reset(tcp_conn_t *conn)
@@ -538,5 +538,5 @@
  *
  * @return EOK on success, EAGAIN if no received data is pending, or other
- *         negative error code in case of other error
+ *         error code in case of other error
  */
 int tcp_conn_recv(tcp_conn_t *conn, void *buf, size_t bsize, size_t *nrecv)
@@ -586,5 +586,5 @@
  * @param nrecv Place to store actual number of received bytes
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 int tcp_conn_recv_wait(tcp_conn_t *conn, void *buf, size_t bsize,
Index: uspace/lib/c/generic/inet/udp.c
===================================================================
--- uspace/lib/c/generic/inet/udp.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/inet/udp.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -46,5 +46,5 @@
  *
  * @param udp UDP service
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 static int udp_callback_create(udp_t *udp)
@@ -158,5 +158,5 @@
  * @param rassoc Place to store pointer to new association
  *
- * @return EOK on success or negative error code.
+ * @return EOK on success or an error code.
  */
 int udp_assoc_create(udp_t *udp, inet_ep2_t *epp, udp_cb_t *cb, void *arg,
@@ -250,5 +250,5 @@
  * @param bytes Message size in bytes
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 int udp_assoc_send_msg(udp_assoc_t *assoc, inet_ep_t *dest, void *data,
@@ -316,5 +316,5 @@
  * @param bsize Buffer size
  *
- * @return EOK on success or negative error code.
+ * @return EOK on success or an error code.
  */
 int udp_rmsg_read(udp_rmsg_t *rmsg, size_t off, void *buf, size_t bsize)
@@ -380,5 +380,5 @@
  * @param rmsg Place to store message information
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 static int udp_rmsg_info(udp_t *udp, udp_rmsg_t *rmsg)
@@ -413,5 +413,5 @@
  *
  * @param udp UDP client
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 static int udp_rmsg_discard(udp_t *udp)
Index: uspace/lib/c/generic/inetcfg.c
===================================================================
--- uspace/lib/c/generic/inetcfg.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/inetcfg.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -74,5 +74,5 @@
  * @param data		Place to store pointer to array of IDs
  * @param count		Place to store number of IDs
- * @return 		EOK on success or negative error code
+ * @return 		EOK on success or an error code
  */
 static int inetcfg_get_ids_internal(sysarg_t method, sysarg_t arg1,
Index: uspace/lib/c/generic/io/asprintf.c
===================================================================
--- uspace/lib/c/generic/io/asprintf.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/io/asprintf.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -79,5 +79,5 @@
  * @args       Variable argument list
  *
- * @return Number of characters printed or a negative error code.
+ * @return Number of characters printed or an error code.
  *
  */
@@ -106,5 +106,5 @@
  * @fmt        Format string.
  *
- * @return Number of characters printed or a negative error code.
+ * @return Number of characters printed or an error code.
  *
  */
Index: uspace/lib/c/generic/ipc.c
===================================================================
--- uspace/lib/c/generic/ipc.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/ipc.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -325,5 +325,5 @@
  * @param phandle  Handle of the phone to be hung up.
  *
- * @return  Zero on success or a negative error code.
+ * @return  Zero on success or an error code.
  *
  */
Index: uspace/lib/c/generic/loader.c
===================================================================
--- uspace/lib/c/generic/loader.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/loader.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -84,5 +84,5 @@
  * @param task_id Points to a variable where the ID should be stored.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -113,5 +113,5 @@
  * @param ldr  Loader connection structure.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -151,5 +151,5 @@
  * @param file Program file.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -184,5 +184,5 @@
  * @param path Program path.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -217,5 +217,5 @@
  * @param argv NULL-terminated array of pointers to arguments.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -273,5 +273,5 @@
  * @param file       The file's descriptor.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -307,5 +307,5 @@
  * @param ldr Loader connection structure.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -330,5 +330,5 @@
  * @param ldr Loader connection structure.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -356,5 +356,5 @@
  * @param ldr Loader connection structure.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
Index: uspace/lib/c/generic/loc.c
===================================================================
--- uspace/lib/c/generic/loc.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/loc.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -371,5 +371,5 @@
  * @param name		Place to store pointer to new string. Caller should
  *			free it using free().
- * @return		EOK on success or negative error code
+ * @return		EOK on success or an error code
  */
 static int loc_get_name_internal(sysarg_t method, sysarg_t id, char **name)
@@ -421,5 +421,5 @@
  * @param name		Place to store pointer to new string. Caller should
  *			free it using free().
- * @return		EOK on success or negative error code
+ * @return		EOK on success or an error code
  */
 int loc_category_get_name(category_id_t cat_id, char **name)
@@ -435,5 +435,5 @@
  * @param name		Place to store pointer to new string. Caller should
  *			free it using free().
- * @return		EOK on success or negative error code
+ * @return		EOK on success or an error code
  */
 int loc_service_get_name(service_id_t svc_id, char **name)
@@ -449,5 +449,5 @@
  * @param name		Place to store pointer to new string. Caller should
  *			free it using free().
- * @return		EOK on success or negative error code
+ * @return		EOK on success or an error code
  */
 int loc_service_get_server_name(service_id_t svc_id, char **name)
@@ -503,5 +503,5 @@
  * @param cat_id	Place to store ID
  * @param flags		IPC_FLAG_BLOCKING to wait for location service to start
- * @return		EOK on success or negative error code
+ * @return		EOK on success or an error code
  */
 int loc_category_get_id(const char *name, category_id_t *cat_id,
@@ -613,5 +613,5 @@
  * @param svc_id	Service ID
  * @param cat_id	Category ID
- * @return		EOK on success or negative error code
+ * @return		EOK on success or an error code
  */
 int loc_service_add_to_cat(service_id_t svc_id, service_id_t cat_id)
@@ -790,5 +790,5 @@
  * @param data		Place to store pointer to array of IDs
  * @param count		Place to store number of IDs
- * @return 		EOK on success or negative error code
+ * @return 		EOK on success or an error code
  */
 static int loc_get_ids_internal(sysarg_t method, sysarg_t arg1,
@@ -836,5 +836,5 @@
  * @param data		Place to store pointer to array of IDs
  * @param count		Place to store number of IDs
- * @return 		EOK on success or negative error code
+ * @return 		EOK on success or an error code
  */
 int loc_category_get_svcs(category_id_t cat_id, service_id_t **data,
@@ -851,5 +851,5 @@
  * @param data		Place to store pointer to array of IDs
  * @param count		Place to store number of IDs
- * @return 		EOK on success or negative error code
+ * @return 		EOK on success or an error code
  */
 int loc_get_categories(category_id_t **data, size_t *count)
Index: uspace/lib/c/generic/str.c
===================================================================
--- uspace/lib/c/generic/str.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/str.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -918,5 +918,5 @@
  * @param src	Source utf16 string.
  *
- * @return EOK, if success, negative otherwise.
+ * @return EOK, if success, an error code otherwise.
  */
 int utf16_to_str(char *dest, size_t size, const uint16_t *src)
@@ -961,5 +961,5 @@
  * @param src	Source string.
  *
- * @return EOK, if success, negative otherwise.
+ * @return EOK, if success, an error code otherwise.
  */
 int str_to_utf16(uint16_t *dest, size_t dlen, const char *src)
Index: uspace/lib/c/generic/task.c
===================================================================
--- uspace/lib/c/generic/task.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/task.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -69,5 +69,5 @@
  *             program.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  */
 int task_set_name(const char *name)
@@ -82,5 +82,5 @@
  * @param task_id ID of task to kill.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  */
 
@@ -101,5 +101,5 @@
  * @param argv Command-line arguments.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -143,5 +143,5 @@
  * @param std_err File to use as stderr.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -249,5 +249,5 @@
  * @param ap   Command-line arguments.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
@@ -287,5 +287,5 @@
  * @param ...  Command-line arguments.
  *
- * @return Zero on success or negative error code.
+ * @return Zero on success or an error code.
  *
  */
Index: uspace/lib/c/generic/time.c
===================================================================
--- uspace/lib/c/generic/time.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/time.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -954,5 +954,5 @@
  * @param result Structure to store the result to
  *
- * @return EOK or a negative error code
+ * @return EOK or an error code
  *
  */
@@ -984,5 +984,5 @@
  *             ASCTIME_BUF_LEN bytes long.
  *
- * @return EOK or a negative error code.
+ * @return EOK or an error code.
  *
  */
@@ -1036,5 +1036,5 @@
  * @param result Structure to store the result to.
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -1066,5 +1066,5 @@
  * @param result Structure to store the result to.
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -1088,5 +1088,5 @@
  *              ASCTIME_BUF_LEN bytes long.
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
Index: uspace/lib/c/generic/uuid.c
===================================================================
--- uspace/lib/c/generic/uuid.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/uuid.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -43,5 +43,5 @@
  *
  * @param uuid Place to store generated UUID
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 int uuid_generate(uuid_t *uuid)
@@ -100,5 +100,5 @@
  * @param endptr Place to store pointer to end of UUID or @c NULL
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 int uuid_parse(const char *str, uuid_t *uuid, const char **endptr)
Index: uspace/lib/c/generic/vbd.c
===================================================================
--- uspace/lib/c/generic/vbd.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/vbd.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -95,5 +95,5 @@
  * @param count Place to store length of array (number of entries)
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 int vbd_get_disks(vbd_t *vbd, service_id_t **data, size_t *count)
@@ -165,5 +165,5 @@
  * @param act_size Place to store actual size of complete data.
  *
- * @return EOK on success or negative error code.
+ * @return EOK on success or an error code.
  */
 static int vbd_get_ids_once(vbd_t *vbd, sysarg_t method, sysarg_t arg1,
@@ -203,5 +203,5 @@
  * @param data   Place to store pointer to array of IDs
  * @param count  Place to store number of IDs
- * @return       EOK on success or negative error code
+ * @return       EOK on success or an error code
  */
 static int vbd_get_ids_internal(vbd_t *vbd, sysarg_t method, sysarg_t arg1,
@@ -247,5 +247,5 @@
  * @param count Place to store length of array (number of entries)
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 int vbd_label_get_parts(vbd_t *vbd, service_id_t disk,
@@ -332,5 +332,5 @@
  * @param ptype Place to store suggested partition type
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 int vbd_suggest_ptype(vbd_t *vbd, service_id_t disk, label_pcnt_t pcnt,
Index: uspace/lib/c/generic/vfs/vfs.c
===================================================================
--- uspace/lib/c/generic/vfs/vfs.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/vfs/vfs.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -236,5 +236,5 @@
  *                      handle will be allocated from high indices
  *
- * @return              New file handle on success or a negative error code
+ * @return              New file handle on success or an error code
  */
 int vfs_clone(int file_from, int file_to, bool high, int *handle)
@@ -259,5 +259,5 @@
  * @param size          Size of @a buf
  *
- * @return              EOK on success or a non-negative error code
+ * @return              EOK on success or a non-error code
  */
 int vfs_cwd_get(char *buf, size_t size)
@@ -280,5 +280,5 @@
  * @param path  Path of the new working directory
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_cwd_set(const char *path)
@@ -370,5 +370,5 @@
  * @param info    Place to store volume identification information
  *
- * @return                      EOK on success or a negative error code
+ * @return                      EOK on success or an error code
  */
 int vfs_fsprobe(const char *fs_name, service_id_t serv,
@@ -404,5 +404,5 @@
  *        fstypes->fstypes[0..]. To free the list use vfs_fstypes_free().
  *
- * @return                      EOK on success or a negative error code
+ * @return                      EOK on success or an error code
  */
 int vfs_fstypes(vfs_fstypes_t *fstypes)
@@ -499,5 +499,5 @@
  * @param[out] linkedfd If not NULL, will receive a file handle to the linked
  *                      child
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_link(int parent, const char *child, vfs_file_kind_t kind, int *linkedfd)
@@ -529,5 +529,5 @@
  * @param[out] linkedfd If not NULL, will receive a file handle to the linked
  *                      child
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_link_path(const char *path, vfs_file_kind_t kind, int *linkedfd)
@@ -585,5 +585,5 @@
  * @param[out] handle Pointer to variable where handle is to be written.
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_lookup_open(const char *path, int flags, int mode, int *handle)
@@ -614,5 +614,5 @@
  * @param[out] mountedfd        File handle of the mounted root if not NULL
  *
- * @return                      EOK on success or a negative error code
+ * @return                      EOK on success or an error code
  */
 int vfs_mount(int mp, const char *fs_name, service_id_t serv, const char *opts,
@@ -658,5 +658,5 @@
  * @param[in] instance          Instance number of the file system server
  *
- * @return                      EOK on success or a negative error code
+ * @return                      EOK on success or an error code
  */
 int vfs_mount_path(const char *mp, const char *fs_name, const char *fqsn,
@@ -752,5 +752,5 @@
  * @param mode  Mode in which to open file in
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_open(int file, int mode)
@@ -769,5 +769,5 @@
  * @param exch          Exchange to the acceptor
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_pass_handle(async_exch_t *vfs_exch, int file, async_exch_t *exch)
@@ -781,5 +781,5 @@
  * @param file  File handle to put
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_put(int file)
@@ -798,5 +798,5 @@
  * @param[out] handle  Received handle.
  *
- * @return       EOK on success or a negative error code
+ * @return       EOK on success or an error code
  */
 int vfs_receive_handle(bool high, int *handle)
@@ -877,5 +877,5 @@
  * @param[out] nread	Actual number of bytes read (0 or more)
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_read_short(int file, aoff64_t pos, void *buf, size_t nbyte,
@@ -919,5 +919,5 @@
  * @param new   New path
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_rename_path(const char *old, const char *new)
@@ -986,5 +986,5 @@
  * @param length        New length
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_resize(int file, aoff64_t length)
@@ -1050,5 +1050,5 @@
  * @param[out] stat     Place to store file information
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_stat(int file, struct stat *stat)
@@ -1084,5 +1084,5 @@
  * @param[out] stat     Place to store file information
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_stat_path(const char *path, struct stat *stat)
@@ -1105,5 +1105,5 @@
  * @param[out] st       Buffer for storing information
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_statfs(int file, struct statfs *st)
@@ -1130,5 +1130,5 @@
  * @param[out] st       Buffer for storing information
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_statfs_path(const char *path, struct statfs *st)
@@ -1150,5 +1150,5 @@
  * @param file  File handle to synchronize
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_sync(int file)
@@ -1172,5 +1172,5 @@
  * @param expect        File handle of the unlinked child
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_unlink(int parent, const char *child, int expect)
@@ -1201,5 +1201,5 @@
  * @param path          Old path to be unlinked
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_unlink_path(const char *path)
@@ -1230,5 +1230,5 @@
  * @param mp    File handle representing the mount-point
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_unmount(int mp)
@@ -1244,5 +1244,5 @@
  * @param mpp   Mount-point path
  *
- * @return      EOK on success or a negative error code
+ * @return      EOK on success or an error code
  */
 int vfs_unmount_path(const char *mpp)
@@ -1341,5 +1341,5 @@
  * @param[out] nread    Actual number of bytes written (0 or more)
  *
- * @return              EOK on success or a negative error code
+ * @return              EOK on success or an error code
  */
 int vfs_write_short(int file, aoff64_t pos, const void *buf, size_t nbyte,
Index: uspace/lib/c/generic/vol.c
===================================================================
--- uspace/lib/c/generic/vol.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/c/generic/vol.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -101,5 +101,5 @@
  * @param act_size Place to store actual size of complete data.
  *
- * @return EOK on success or negative error code.
+ * @return EOK on success or an error code.
  */
 static int vol_get_ids_once(vol_t *vol, sysarg_t method, sysarg_t arg1,
@@ -139,5 +139,5 @@
  * @param data   Place to store pointer to array of IDs
  * @param count  Place to store number of IDs
- * @return       EOK on success or negative error code
+ * @return       EOK on success or an error code
  */
 static int vol_get_ids_internal(vol_t *vol, sysarg_t method, sysarg_t arg1,
@@ -183,5 +183,5 @@
  * @param count Place to store length of array (number of entries)
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 int vol_get_parts(vol_t *vol, service_id_t **data, size_t *count)
Index: uspace/lib/clui/tinput.h
===================================================================
--- uspace/lib/clui/tinput.h	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/clui/tinput.h	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -61,5 +61,5 @@
  * @param state		Output, pointer to a client state object.
  *
- * @return		EOK on success, negative error code on failure.
+ * @return		EOK on success, error code on failure.
  */
 typedef int (*tinput_compl_init_fn)(wchar_t *text, size_t pos, size_t *cstart,
@@ -76,5 +76,5 @@
  * @param compl		Output, the completion text, ownership retained.
  *
- * @return		EOK on success, negative error code on failure.
+ * @return		EOK on success, error code on failure.
  */
 typedef int (*tinput_compl_get_next_fn)(void *state, char **compl);
Index: uspace/lib/drv/generic/driver.c
===================================================================
--- uspace/lib/drv/generic/driver.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/drv/generic/driver.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -812,5 +812,5 @@
  * @param fun Function to bind
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  *
  */
@@ -840,5 +840,5 @@
  * @param fun Function to unbind
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  *
  */
@@ -861,5 +861,5 @@
  * @param fun Function to online
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  *
  */
@@ -879,5 +879,5 @@
  * @param fun Function to offline
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  *
  */
Index: uspace/lib/drv/generic/remote_battery_dev.c
===================================================================
--- uspace/lib/drv/generic/remote_battery_dev.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/drv/generic/remote_battery_dev.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -45,5 +45,5 @@
  * @param status   Current status of the battery
  *
- * @return         EOK on success or a negative error code
+ * @return         EOK on success or an error code
  */
 int
@@ -70,5 +70,5 @@
  * @param level    Battery charge level (0 - 100)
  *
- * @return         EOK on success or a negative error code
+ * @return         EOK on success or an error code
  */
 int
Index: uspace/lib/drv/generic/remote_ieee80211.c
===================================================================
--- uspace/lib/drv/generic/remote_ieee80211.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/drv/generic/remote_ieee80211.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -59,5 +59,5 @@
  *
  * @return EOK If the operation was successfully completed,
- *         negative error code otherwise.
+ *         error code otherwise.
  *
  */
@@ -123,5 +123,5 @@
  *
  * @return EOK If the operation was successfully completed,
- *         negative error code otherwise.
+ *         error code otherwise.
  *
  */
@@ -190,5 +190,5 @@
  *
  * @return EOK If the operation was successfully completed,
- *         negative error code otherwise.
+ *         error code otherwise.
  *
  */
Index: uspace/lib/drv/generic/remote_usbhid.c
===================================================================
--- uspace/lib/drv/generic/remote_usbhid.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/drv/generic/remote_usbhid.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -94,5 +94,5 @@
  * @param dev_sess Session to DDF device providing USB HID interface.
  *
- * @return Number of usages returned or negative error code.
+ * @return Number of usages returned or an error code.
  *
  */
Index: uspace/lib/drv/include/ops/ieee80211.h
===================================================================
--- uspace/lib/drv/include/ops/ieee80211.h	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/drv/include/ops/ieee80211.h	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -48,5 +48,5 @@
 	 * @param now     Whether to initiate scan immediately.
 	 *
-	 * @return EOK if succeed, negative error code otherwise.
+	 * @return EOK if succeed, error code otherwise.
 	 *
 	 */
@@ -59,5 +59,5 @@
 	 * @param password Network password (empty string if not needed).
 	 *
-	 * @return EOK if succeed, negative error code otherwise.
+	 * @return EOK if succeed, error code otherwise.
 	 *
 	 */
@@ -68,5 +68,5 @@
 	 * @param fun IEEE 802.11 function.
 	 *
-	 * @return EOK if succeed, negative error code otherwise.
+	 * @return EOK if succeed, error code otherwise.
 	 *
 	 */
Index: uspace/lib/ext4/src/filesystem.c
===================================================================
--- uspace/lib/ext4/src/filesystem.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/ext4/src/filesystem.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -161,5 +161,5 @@
  * @param service_id Block device to probe
  *
- * @return EOK or negative error code.
+ * @return EOK or an error code.
  *
  */
@@ -252,5 +252,5 @@
  * @param fs Filesystem to be destroyed
  *
- * @return EOK or negative error code. On error the state of the file
+ * @return EOK or an error code. On error the state of the file
  *         system is unchanged.
  *
Index: uspace/lib/fmtutil/fmtutil.h
===================================================================
--- uspace/lib/fmtutil/fmtutil.h	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/fmtutil/fmtutil.h	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -42,5 +42,5 @@
  * @param data user data
  * 
- * @returns EOK on success or error code on failure
+ * @returns EOK on success or an error code on failure
  */
 typedef int (*line_consumer_fn)(wchar_t *, size_t, bool, void *);
Index: uspace/lib/http/include/http/receive-buffer.h
===================================================================
--- uspace/lib/http/include/http/receive-buffer.h	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/http/include/http/receive-buffer.h	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -47,5 +47,5 @@
  * @param buf_size buffer size
  * @param nrecv number of bytes actually received
- * @return EOK on success or error code
+ * @return EOK on success or an error code
  */
 typedef int (*receive_func_t)(void *, void *, size_t, size_t *);
Index: uspace/lib/http/src/receive-buffer.c
===================================================================
--- uspace/lib/http/src/receive-buffer.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/http/src/receive-buffer.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -200,5 +200,5 @@
 /** Receive a character and if it is c, discard it from input buffer
  * @param ndisc Place to store number of characters discarded
- * @return EOK or error code
+ * @return EOK or an error code
  */
 int recv_discard(receive_buffer_t *rb, char discard, size_t *ndisc)
@@ -221,5 +221,5 @@
 /** Receive a prefix of constant string discard and return number of bytes read
  * @param ndisc Place to store number of characters discarded
- * @return EOK or error code
+ * @return EOK or an error code
  */
 int recv_discard_str(receive_buffer_t *rb, const char *discard, size_t *ndisc)
@@ -264,5 +264,5 @@
  * @param nrecv Place to store number of bytes received (zero if
  *              no newline is present in the stream)
- * @return EOK on success or error code
+ * @return EOK on success or an error code
  */
 int recv_eol(receive_buffer_t *rb, size_t *nrecv)
Index: uspace/lib/ieee80211/include/ieee80211.h
===================================================================
--- uspace/lib/ieee80211/include/ieee80211.h	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/ieee80211/include/ieee80211.h	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -103,5 +103,5 @@
 	 * @param ieee80211_dev Pointer to IEEE 802.11 device structure.
 	 *
-	 * @return EOK if succeed, negative error code otherwise.
+	 * @return EOK if succeed, error code otherwise.
 	 *
 	 */
@@ -115,5 +115,5 @@
 	 * @param ieee80211_dev Pointer to IEEE 802.11 device structure.
 	 *
-	 * @return EOK if succeed, negative error code otherwise.
+	 * @return EOK if succeed, error code otherwise.
 	 *
 	 */
@@ -129,5 +129,5 @@
 	 * @param buffer_size   Size of buffer.
 	 *
-	 * @return EOK if succeed, negative error code otherwise.
+	 * @return EOK if succeed, error code otherwise.
 	 *
 	 */
@@ -139,5 +139,5 @@
 	 * @param freq          New device operating frequency.
 	 *
-	 * @return EOK if succeed, negative error code otherwise.
+	 * @return EOK if succeed, error code otherwise.
 	 *
 	 */
@@ -149,5 +149,5 @@
 	 * @param connected     True if connected to new BSSID, otherwise false.
 	 *
-	 * @return EOK if succeed, negative error code otherwise.
+	 * @return EOK if succeed, error code otherwise.
 	 *
 	 */
@@ -161,5 +161,5 @@
 	 *                      false to remove it.
 	 *
-	 * @return EOK if succeed, negative error code otherwise.
+	 * @return EOK if succeed, error code otherwise.
 	 *
 	 */
Index: uspace/lib/ieee80211/src/ieee80211.c
===================================================================
--- uspace/lib/ieee80211/src/ieee80211.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/ieee80211/src/ieee80211.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -514,5 +514,5 @@
  * @param fun NIC function.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -728,5 +728,5 @@
  * @param ddf_dev       Pointer to backing DDF device structure.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -768,5 +768,5 @@
  *                        interface operations.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -847,5 +847,5 @@
  * @param ssid          Probing SSID or NULL if broadcast.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -914,5 +914,5 @@
  * @param ieee80211_dev Pointer to IEEE 802.11 device structure.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -964,5 +964,5 @@
  *                      or NULL for open networks.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -1054,5 +1054,5 @@
  * @param ieee80211_dev Pointer to IEEE 802.11 device structure.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -1238,5 +1238,5 @@
  * @param mgmt_header   Pointer to start of management frame header.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -1324,5 +1324,5 @@
  * @param mgmt_header   Pointer to start of management frame header.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -1353,5 +1353,5 @@
  * @param mgmt_header   Pointer to start of management frame header.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -1629,5 +1629,5 @@
  * @param buffer_size   Size of buffer.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
@@ -1693,5 +1693,5 @@
  * @param buffer_size   Size of buffer.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
Index: uspace/lib/ieee80211/src/ieee80211_impl.c
===================================================================
--- uspace/lib/ieee80211/src/ieee80211_impl.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/ieee80211/src/ieee80211_impl.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -113,5 +113,5 @@
  * @param clear         Whether to clear current scan results.
  *
- * @return EOK if succeed, negative error code otherwise.
+ * @return EOK if succeed, error code otherwise.
  *
  */
Index: uspace/lib/nic/include/nic.h
===================================================================
--- uspace/lib/nic/include/nic.h	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/nic/include/nic.h	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -87,5 +87,5 @@
 /**
  * The handler for transitions between driver states.
- * If the handler returns negative error code, the transition between
+ * If the handler returns error code, the transition between
  * states is canceled (the state is not changed).
  *
@@ -93,5 +93,5 @@
  *
  * @return EOK	If everything is all right.
- * @return negative error code on error.
+ * @return error code on error.
  */
 typedef int (*state_change_handler)(nic_t *);
Index: uspace/lib/nic/src/nic_driver.c
===================================================================
--- uspace/lib/nic/src/nic_driver.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/nic/src/nic_driver.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -241,5 +241,5 @@
  * @param[out]	resources	Parsed lists of resources.
  *
- * @return EOK or negative error code
+ * @return EOK or an error code
  */
 int nic_get_resources(nic_t *nic_data, hw_res_list_parsed_t *resources)
Index: uspace/lib/nic/src/nic_impl.c
===================================================================
--- uspace/lib/nic/src/nic_impl.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/lib/nic/src/nic_impl.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -189,5 +189,5 @@
  * @param	fun
  *
- * @return EOK		On success, or negative error code.
+ * @return EOK		On success, or an error code.
  */
 int nic_callback_create_impl(ddf_fun_t *fun)
Index: uspace/srv/devman/drv_conn.c
===================================================================
--- uspace/srv/devman/drv_conn.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/srv/devman/drv_conn.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -161,5 +161,5 @@
  *
  * @param match_ids	The list of the device's match ids.
- * @return		Zero on success, negative error code otherwise.
+ * @return		Zero on success, error code otherwise.
  */
 static int devman_receive_match_id(match_id_list_t *match_ids)
@@ -211,5 +211,5 @@
  * @param match_count	The number of device's match ids to be received.
  * @param match_ids	The list of the device's match ids.
- * @return		Zero on success, negative error code otherwise.
+ * @return		Zero on success, error code otherwise.
  */
 static int devman_receive_match_ids(sysarg_t match_count,
Index: uspace/srv/fs/exfat/exfat_fat.c
===================================================================
--- uspace/srv/fs/exfat/exfat_fat.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/srv/fs/exfat/exfat_fat.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -71,5 +71,5 @@
  * @param max_clusters	Maximum number of clusters to visit.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -120,5 +120,5 @@
  * @param flags		Flags passed to libblock.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -184,5 +184,5 @@
  * @param flags		Flags passed to libblock.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -227,5 +227,5 @@
  * @param value		Output argument holding the value of the cluster.
  *
- * @return		EOK or a negative error code.
+ * @return		EOK or an error code.
  */
 int
@@ -257,5 +257,5 @@
  * @param value		Value to set the cluster with.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -295,5 +295,5 @@
  *			will be returned.
  *
- * @return		EOK on success, a negative error code otherwise.
+ * @return		EOK on success, an error code otherwise.
  */
 int
@@ -361,5 +361,5 @@
  * @param firstc	First cluster in the chain which is to be freed.
  *
- * @return		EOK on success or a negative return code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -394,5 +394,5 @@
  * @param lcl		Last cluster of the cluster chain to append.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -438,5 +438,5 @@
  *			be chopped off.
  *
- * @return		EOK on success or a negative return code.
+ * @return		EOK on success or an error code.
  */
 int exfat_chop_clusters(exfat_bs_t *bs, exfat_node_t *nodep, exfat_cluster_t lcl)
Index: uspace/srv/fs/fat/fat_fat.c
===================================================================
--- uspace/srv/fs/fat/fat_fat.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/srv/fs/fat/fat_fat.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -71,5 +71,5 @@
  * @param max_clusters	Maximum number of clusters to visit.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -121,5 +121,5 @@
  * @param flags		Flags passed to libblock.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -186,5 +186,5 @@
  * @param flags		Flags passed to libblock.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -235,5 +235,5 @@
  * @param pos		Position in the last node block.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -287,5 +287,5 @@
  * @param value		Output argument holding the value of the cluster.
  *
- * @return		EOK or a negative error code.
+ * @return		EOK or an error code.
  */
 static int
@@ -357,5 +357,5 @@
  * @param value		Output argument holding the value of the cluster.
  *
- * @return		EOK or a negative error code.
+ * @return		EOK or an error code.
  */
 static int
@@ -388,5 +388,5 @@
  * @param value		Output argument holding the value of the cluster.
  *
- * @return		EOK or a negative error code.
+ * @return		EOK or an error code.
  */
 static int
@@ -421,5 +421,5 @@
  * @param value		Output argument holding the value of the cluster.
  *
- * @return		EOK or a negative error code.
+ * @return		EOK or an error code.
  */
 int
@@ -449,5 +449,5 @@
  * @param value		Value to set the cluster with.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 static int
@@ -537,5 +537,5 @@
  * @param value		Value to set the cluster with.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 static int
@@ -570,5 +570,5 @@
  * @param value		Value to set the cluster with.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 static int
@@ -607,5 +607,5 @@
  * @param value		Value to set the cluster with.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -634,5 +634,5 @@
  * @param nclsts	Number of clusters in the lifo chain.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int fat_alloc_shadow_clusters(fat_bs_t *bs, service_id_t service_id,
@@ -671,5 +671,5 @@
  *			will be returned.
  *
- * @return		EOK on success, a negative error code otherwise.
+ * @return		EOK on success, an error code otherwise.
  */
 int
@@ -742,5 +742,5 @@
  * @param firstc	First cluster in the chain which is to be freed.
  *
- * @return		EOK on success or a negative return code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -780,5 +780,5 @@
  * @param lcl		Last cluster of the cluster chain to append.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int fat_append_clusters(fat_bs_t *bs, fat_node_t *nodep, fat_cluster_t mcl,
@@ -827,5 +827,5 @@
  *			be chopped off.
  *
- * @return		EOK on success or a negative return code.
+ * @return		EOK on success or an error code.
  */
 int fat_chop_clusters(fat_bs_t *bs, fat_node_t *nodep, fat_cluster_t lcl)
Index: uspace/srv/fs/mfs/mfs_balloc.c
===================================================================
--- uspace/srv/fs/mfs/mfs_balloc.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/srv/fs/mfs/mfs_balloc.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -54,5 +54,5 @@
  * 			the new inode will be saved.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -68,5 +68,5 @@
  * @param inum		Number of the inode to free.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -82,5 +82,5 @@
  * 			of the zone will be saved.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -105,5 +105,5 @@
  * @param zone		Index of the zone to free.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -132,5 +132,5 @@
  *                      will be stored.
  *
- * @return              EOK on success or a negative error code.
+ * @return              EOK on success or an error code.
  */
 int
@@ -146,5 +146,5 @@
  *                      will be stored.
  *
- * @return              EOK on success or a negative error code.
+ * @return              EOK on success or an error code.
  */
 
@@ -162,5 +162,5 @@
  *                      will be stores.
  *
- * @return              EOK on success or a negative error code.
+ * @return              EOK on success or an error code.
  */
 static int
@@ -226,5 +226,5 @@
  * 			BMAP_INODE if operating on the inode's bitmap.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 static int
@@ -293,5 +293,5 @@
  * 			BMAP_INODE if operating on the inode's bitmap.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 static int
Index: uspace/srv/fs/mfs/mfs_dentry.c
===================================================================
--- uspace/srv/fs/mfs/mfs_dentry.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/srv/fs/mfs/mfs_dentry.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -40,5 +40,5 @@
  * @param index		index of the dentry in the list.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -103,5 +103,5 @@
  * @param d_info The directory entry to write to disk.
  *
- * @return	 EOK on success or a negative error code.
+ * @return	 EOK on success or an error code.
  */
 int
@@ -154,5 +154,5 @@
  * @param d_name	Name of the directory entry to delete.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -195,5 +195,5 @@
  * @param d_inum	index of the inode that will be pointed by the new dentry.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
Index: uspace/srv/fs/mfs/mfs_inode.c
===================================================================
--- uspace/srv/fs/mfs/mfs_inode.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/srv/fs/mfs/mfs_inode.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -55,5 +55,5 @@
  * @param index		index of the inode to read.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -201,5 +201,5 @@
  * @param mnode		Pointer to the generic MINIX inode in memory.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
@@ -319,5 +319,5 @@
  * @param size_shrink	Number of bytes that will be subtracted to the inode.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
Index: uspace/srv/fs/mfs/mfs_rw.c
===================================================================
--- uspace/srv/fs/mfs/mfs_rw.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/srv/fs/mfs/mfs_rw.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -59,5 +59,5 @@
  * @param pos	Position in file.
  *
- * @return	EOK on success or a negative error code.
+ * @return	EOK on success or an error code.
  */
 int
@@ -236,5 +236,5 @@
  * @param new_size	The new size of the inode.
  *
- * @return		EOK on success or a negative error code.
+ * @return		EOK on success or an error code.
  */
 int
Index: uspace/srv/fs/udf/udf_file.c
===================================================================
--- uspace/srv/fs/udf/udf_file.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/srv/fs/udf/udf_file.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -54,5 +54,5 @@
  * @param pos      Position with which we read
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -90,5 +90,5 @@
  * @param len         Length of sequence
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -231,5 +231,5 @@
  * @param node    UDF node
  *
- * @return    EOK on success or a negative error code.
+ * @return    EOK on success or an error code.
  */
 int udf_read_icb(udf_node_t *node)
@@ -300,5 +300,5 @@
  * @param node UDF node
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -315,5 +315,5 @@
  * @param pos  Number of FID which we need to find
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -366,5 +366,5 @@
  * @param pos   Number of FID which we need to find
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -385,5 +385,5 @@
  * @param pos   Number of FID which we need to find
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -466,5 +466,5 @@
  * @param len   Length of buf
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -573,5 +573,5 @@
  * @param len      Length of data for reading
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
Index: uspace/srv/fs/udf/udf_idx.c
===================================================================
--- uspace/srv/fs/udf/udf_idx.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/srv/fs/udf/udf_idx.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -88,5 +88,5 @@
 /** Initialization of hash table
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -101,5 +101,5 @@
 /** Delete hash table
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -116,5 +116,5 @@
  * @param index    Absolute position of ICB (sector)
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -150,5 +150,5 @@
  * @param index    Absolute position of ICB (sector)
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -196,5 +196,5 @@
  * @param node UDF node
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
Index: uspace/srv/fs/udf/udf_volume.c
===================================================================
--- uspace/srv/fs/udf/udf_volume.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/srv/fs/udf/udf_volume.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -81,5 +81,5 @@
  * @param vd         Returned value - Volume Descriptor.
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -98,5 +98,5 @@
  * @param service_id
  *
- * @return    EOK on success or a negative error code.
+ * @return    EOK on success or an error code.
  */
 int udf_volume_recongnition(service_id_t service_id) 
@@ -167,5 +167,5 @@
  * @param sector_size Expected sector size
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -204,5 +204,5 @@
  * @param avd        Returned value - Anchor Volume Descriptor
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -357,5 +357,5 @@
  * @param id       Index of partition in instance::partitions array
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -438,5 +438,5 @@
  * @param instance UDF instance
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
@@ -598,5 +598,5 @@
  * @param addr       UDF extent descriptor (ECMA 167 3/7.1)
  *
- * @return EOK on success or a negative error code.
+ * @return EOK on success or an error code.
  *
  */
Index: uspace/srv/net/tcp/service.c
===================================================================
--- uspace/srv/net/tcp/service.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/srv/net/tcp/service.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -433,5 +433,5 @@
  * @param rconn_id Place to store ID of new connection
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 static int tcp_conn_create_impl(tcp_client_t *client, inet_ep2_t *epp,
@@ -507,5 +507,5 @@
  * @param rlst_id Place to store ID of new listener
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
 */
 static int tcp_listener_create_impl(tcp_client_t *client, inet_ep_t *ep,
@@ -578,5 +578,5 @@
  * @param conn_id Connection ID
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 static int tcp_conn_send_fin_impl(tcp_client_t *client, sysarg_t conn_id)
@@ -603,5 +603,5 @@
  * @param conn_id Connection ID
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 static int tcp_conn_push_impl(tcp_client_t *client, sysarg_t conn_id)
@@ -628,5 +628,5 @@
  * @param conn_id Connection ID
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 static int tcp_conn_reset_impl(tcp_client_t *client, sysarg_t conn_id)
@@ -654,5 +654,5 @@
  * @param size    Data size in bytes
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 static int tcp_conn_send_impl(tcp_client_t *client, sysarg_t conn_id,
@@ -684,5 +684,5 @@
  * @param nrecv   Place to store actual number of bytes received
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 static int tcp_conn_recv_impl(tcp_client_t *client, sysarg_t conn_id,
@@ -1244,5 +1244,5 @@
 /** Initialize TCP service.
  *
- * @return EOK on success or negative error code.
+ * @return EOK on success or an error code.
  */
 int tcp_service_init(void)
Index: uspace/srv/net/udp/service.c
===================================================================
--- uspace/srv/net/udp/service.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/srv/net/udp/service.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -205,5 +205,5 @@
  * @param rassoc_id Place to store ID of new association
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 static int udp_assoc_create_impl(udp_client_t *client, inet_ep2_t *epp,
@@ -305,5 +305,5 @@
  * @param size     Message size
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 static int udp_assoc_send_msg_impl(udp_client_t *client, sysarg_t assoc_id,
@@ -750,5 +750,5 @@
 /** Initialize UDP service.
  *
- * @return EOK on success or negative error code.
+ * @return EOK on success or an error code.
  */
 int udp_service_init(void)
Index: uspace/srv/vfs/vfs_register.c
===================================================================
--- uspace/srv/vfs/vfs_register.c	(revision 3c7702c05cfce1577b9b1bb89cfe61f809c024db)
+++ uspace/srv/vfs/vfs_register.c	(revision cde999aca79219e8751af76502001a86d411d176)
@@ -346,5 +346,5 @@
  *                vfs_fstypes_free().
  *
- * @return EOK on success or negative error code
+ * @return EOK on success or an error code
  */
 int vfs_get_fstypes(vfs_fstypes_t *fstypes)
